/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailGasRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailGasRequest {
  @SerializedName("is_gas_leakage")
  private Boolean isGasLeakage = null;

  @SerializedName("is_supplier_alerted")
  private Boolean isSupplierAlerted = null;

  @SerializedName("is_leakage_on_gas_distribution")
  private Boolean isLeakageOnGasDistribution = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailGasRequest isGasLeakage(Boolean isGasLeakage) {
    this.isGasLeakage = isGasLeakage;
    return this;
  }

   /**
   * Is it a gas leakage?
   * @return isGasLeakage
  **/
  @ApiModelProperty(example = "true", value = "Is it a gas leakage?")
  public Boolean isIsGasLeakage() {
    return isGasLeakage;
  }

  public void setIsGasLeakage(Boolean isGasLeakage) {
    this.isGasLeakage = isGasLeakage;
  }

  public DetailGasRequest isSupplierAlerted(Boolean isSupplierAlerted) {
    this.isSupplierAlerted = isSupplierAlerted;
    return this;
  }

   /**
   * Is the gas distribution supplier alerted?
   * @return isSupplierAlerted
  **/
  @ApiModelProperty(example = "true", value = "Is the gas distribution supplier alerted?")
  public Boolean isIsSupplierAlerted() {
    return isSupplierAlerted;
  }

  public void setIsSupplierAlerted(Boolean isSupplierAlerted) {
    this.isSupplierAlerted = isSupplierAlerted;
  }

  public DetailGasRequest isLeakageOnGasDistribution(Boolean isLeakageOnGasDistribution) {
    this.isLeakageOnGasDistribution = isLeakageOnGasDistribution;
    return this;
  }

   /**
   * Is the leakage on the gas distribution?
   * @return isLeakageOnGasDistribution
  **/
  @ApiModelProperty(example = "true", value = "Is the leakage on the gas distribution?")
  public Boolean isIsLeakageOnGasDistribution() {
    return isLeakageOnGasDistribution;
  }

  public void setIsLeakageOnGasDistribution(Boolean isLeakageOnGasDistribution) {
    this.isLeakageOnGasDistribution = isLeakageOnGasDistribution;
  }

  public DetailGasRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailGasRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailGasRequest detailGasRequest = (DetailGasRequest) o;
    return Objects.equals(this.isGasLeakage, detailGasRequest.isGasLeakage) &&
        Objects.equals(this.isSupplierAlerted, detailGasRequest.isSupplierAlerted) &&
        Objects.equals(this.isLeakageOnGasDistribution, detailGasRequest.isLeakageOnGasDistribution) &&
        Objects.equals(this.suggestedDecision, detailGasRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailGasRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isGasLeakage, isSupplierAlerted, isLeakageOnGasDistribution, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailGasRequest {\n");
    
    sb.append("    isGasLeakage: ").append(toIndentedString(isGasLeakage)).append("\n");
    sb.append("    isSupplierAlerted: ").append(toIndentedString(isSupplierAlerted)).append("\n");
    sb.append("    isLeakageOnGasDistribution: ").append(toIndentedString(isLeakageOnGasDistribution)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

